package de.miaurizius.jgame2d.entity.projectile;

import de.miaurizius.jgame2d.core.GamePanel;
import de.miaurizius.jgame2d.core.enums.EntityType;

import java.awt.*;

public class RockObj extends Projectile {

    GamePanel panel;

    public RockObj(GamePanel panel) {
        super(panel);
        this.panel = panel;

        name  = "Rock";
        type =  EntityType.PROJECTILE;

        speed = 5;
        maxLife = 80;
        life = maxLife;
        attack = 2;
        useCost = 1;
        alive = false;

        // INITIALISATION OF IMAGES
        String defaultSprite = "/projectile/rock_down_1";
        up1 = initEntitySprites(defaultSprite);
        up2 = initEntitySprites(defaultSprite);
        down1 = initEntitySprites(defaultSprite);
        down2 = initEntitySprites(defaultSprite);
        left1 = initEntitySprites(defaultSprite);
        left2 = initEntitySprites(defaultSprite);
        right1 = initEntitySprites(defaultSprite);
        right2 = initEntitySprites(defaultSprite);
    }

    public Color getParticleColor() {
        return new Color(40, 50,0);
    }
    public int getParticleSize() {
        return 10; //in pixels
    }
    public int getParticleSpeed() {
        return 1;
    }
    public int getParticleMaxLife() {
        return 20;
    }

}
